#!/usr/bin/env node
"use strict";

var _chalk = require("chalk");

var _chalk2 = _interopRequireDefault(_chalk);

var _yargs = require("yargs");

var _yargs2 = _interopRequireDefault(_yargs);

var _twitterUrlParser = require("twitter-url-parser");

var _twitterUrlParser2 = _interopRequireDefault(_twitterUrlParser);

var _tildify = require("tildify");

var _tildify2 = _interopRequireDefault(_tildify);

var _package = require("../package.json");

var _package2 = _interopRequireDefault(_package);

var _ = require("./");

var _2 = _interopRequireDefault(_);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const { argv } = _yargs2.default.usage(`Usage: ${ _chalk2.default.cyan(_package2.default.name, _chalk2.default.underline("TWEET URL"), _chalk2.default.underline("FILE PATH")) }`).option("h", { alias: "help", describe: "Show help", type: "boolean" }).option("v", { alias: "version", describe: "Show version", type: "boolean" });

if (argv.help || argv.h) {
  _yargs2.default.showHelp();
  process.exit();
}

if (argv.version || argv.v) {
  console.log(_package2.default.version);
  process.exit();
}

if (argv._.length !== 2) {
  _yargs2.default.showHelp();
  console.error(_chalk2.default.red("Tweet URL and file path must be specified."));
  process.exit(1);
}

let [tweetUrl, filePath] = argv._;
console.log(_chalk2.default.green(`Screenshotting tweet "${ (0, _twitterUrlParser2.default)(tweetUrl).id }" to "${ (0, _tildify2.default)(filePath) }"...`));

(0, _2.default)(tweetUrl, filePath).then(() => {
  console.log(_chalk2.default.green("Done!"));
  process.exit();
}).catch(error => {
  console.error(_chalk2.default.red("An unexpected error occurred."));
  process.exit(1);
});