"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (tweetUrl, filePath) {
  let tweetId = (0, _twitterUrlParser2.default)(tweetUrl).id;
  let tweetSelector = `.tweet[data-tweet-id="${ tweetId }"]`;
  let nightmare = new _nightmare2.default();

  return Promise.resolve().then(() => nightmare.viewport(2000, 2000)).then(() => nightmare.goto(tweetUrl)).then(() => nightmare.wait(tweetSelector)).then(() => nightmare.evaluate(tweetSelector => {
    let rectangle = document.querySelector(tweetSelector).getBoundingClientRect();
    return {
      x: Math.round(rectangle.left),
      y: Math.round(rectangle.top),
      width: Math.round(rectangle.width),
      height: Math.round(rectangle.height)
    };
  }, tweetSelector)).then(rectangle => nightmare.screenshot(filePath, rectangle)).then(() => nightmare.end());
};

var _nightmare = require("nightmare");

var _nightmare2 = _interopRequireDefault(_nightmare);

var _twitterUrlParser = require("twitter-url-parser");

var _twitterUrlParser2 = _interopRequireDefault(_twitterUrlParser);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }